require 'sketchup.rb'
require 'extensions.rb'

#EXTENSION
module Skelion
root_path = File.dirname(__FILE__)#http://sketchucation.com/forums/viewtopic.php?uid=56571&f=180&t=57017&start=0
if root_path.respond_to?(:force_encoding)
	root_path.force_encoding("UTF-8")
end

SUPPORT_FOLDER = File.join(root_path, 'skelion' ).encode
IMAGE_FOLDER = File.join(SUPPORT_FOLDER,"html", 'images' ).encode
BOOL_FOLDER= File.join(root_path,'skelion','2d_simplex_bool').encode

f_load=File.join(Skelion::SUPPORT_FOLDER, 'skelion_loader.rb')
if File.exists?(f_load) then
ext1 = SketchupExtension.new('Skelion', f_load)
ext1.creator     = 'Skelion, Inc.'
ext1.version     = '5.4.4'
ext1.copyright   = '2010, Skelion, Inc.'
ext1.description = 'Insert solar panels. Visit skelion.com for support.'
Sketchup.register_extension(ext1, true)
end


end

