
 
require 'sketchup'

module Skelion
 class SIMPLEX
	class SKSelectionObserver < Sketchup::SelectionObserver
		@@sel2_ord=[]
		
		def initialize()
			@s1=[]
			@s2=[]
		end
					
		def onSelectionBulkChange(selection)
			@@sel2_ord=[]
			if selection.length==1 then  @s1=selection.collect{|el| el}; @s2=[] end
			if selection.length==2 then  
			@s2=selection.collect{|el| el}
					if @s2.include?(@s1[0]) then
					@s2.delete(@s1[0])
					@@sel2_ord=[@s1[0],@s2[0]];
					@s1=[];@s2=[]
				end	
			end
		end

		def onSelectionCleared(selection)
		@s1=[]
		@s2=[]
		@@sel2_ord=[]
		end
		
		def self.sel2_ord()
			return @@sel2_ord
		end
		
	end

	bool_2d_obs = SKSelectionObserver.new()
	Sketchup.active_model.selection.add_observer(bool_2d_obs )

end	
end	


if( not file_loaded?('selection_order.rb') )
	file_loaded('selection_order.rb')	 
end	 


 
#To find out the two objects selected in order,  write in ruby command window 
#p(Skelion.SKSelectionObserver.sel2_ord)

