
function select_hours_initialize(){
	
	
	
	fmonths();
	b_clear();
	b_select();
	y_hours_table();
}






function fmonths(){
	
	var months=["January", "February", "March", "April", "May","June", "July", "August", "September", "October","November","December"];
	var div_m=document.getElementById('months');
	
	var mm;var i1; var s1;
	
	for (var x in months){
		mm= document.createElement('div');
		mm.style.cssText="float:left;";
			i1= document.createElement('input');
			i1.type="checkbox";
			i1.checked=true;
			i1.name="mlist";
			//i1.id="mx_"+x;
			//i1.className="mx_";
			s1= document.createElement('span');
			s1.innerHTML=months[x];
		mm.appendChild(i1);
		mm.appendChild(s1);
		div_m.appendChild(mm);
	}
	add_clear_node(div_m);
}

var days=[31,28,31,30,31,30,31,31,30,31,30,31];


function y_hours_table(){

	var y_days = document.getElementById('y_days');
	var table= document.createElement('table');
	table.className='hours_table';
	var tr;
	var td;
	var counter=1;
	

var dmonth=[31,59,90,120,151,181,212,243,273,304,334,365];
cmonth=0;

	for (var d=0;d<=365;d++)
	{
		tr= document.createElement('tr');
		
		for (var h=0;h<=24;h++){
			td= document.createElement('td');
			
			if (h==0 && d != 0){
			td.className='r_days';
			td.value=d;
			td.innerHTML=d;
			}
			
			if (d==0) { 
			td.className='c_hours';
			td.innerHTML=h-1;
			}
			
			if (h!=0 && d != 0) {
			td.className='cell';
			td.id=counter;
			counter+=1;
			
			}
			
			if (d==dmonth[cmonth]) { td.style.borderBottom="4px solid yellow"; if (h==24){cmonth+=1;}} 
			
			tr.appendChild(td);
		}
		
		table.appendChild(tr);
		
	}
	y_days.appendChild(table);
	
	add_table_names(table);
	
	color_event();
}
function add_table_names(table){
	
	
	var days=[31,28,31,30,31,30,31,31,30,31,30,31];
	var months=["January", "February", "March", "April", "May","June", "July", "August", "September", "October","November","December"];
	var arr= document.getElementsByClassName('r_days');
	
	
	//Months days
	var arr= document.getElementsByClassName('r_days');
	var cont=0;
	for (var x in days){
		for (var y=1;y<=days[x];y++){
			arr[cont].innerHTML=y;
			cont+=1;
		}
		
	}
	
	//Months Names
	var arr= document.getElementsByTagName('tr');
	td = document.createElement('td');
	td.innerHTML="&nbsp";
	arr[0].firstChild.innerHTML="&nbsp";
	arr[0].insertBefore(td, arr[0].firstChild);
	
	cont=1;
	var td;
	for (var x in days){
		td = document.createElement('td');
		td.className="month";
		td.style.cssText=" text-align:center";
		
		arr[cont].insertBefore(td, arr[cont].firstChild);
		td.innerHTML=months[x];
		td.id = x;
		td.rowSpan=days[x];
		
		cont=cont+days[x];
	}
	
	
}


function color_event(){
	var t1;
	var t2;
	var temp;

	document.addEventListener('mousedown',function(e){
		t1=e.target;
	}
	);

	document.addEventListener('mouseup',function(e){
		t2=e.target;
		
		//paint
		if (t1.className=='cell' && t2.className=='cell'){
			paint_square(parseInt(t1.id),parseInt(t2.id));
		}
		else if (t1.className=='c_hours' &&  t2.className=='c_hours'){
			paint_columns(parseInt(t1.innerHTML)+1,parseInt(t2.innerHTML)+1);
		}
		else if (t1.className=='r_days' &&  t2.className=='r_days'){
			paint_rows(parseInt(t1.value),parseInt(t2.value));
		}
		else if (t1.className=='month' &&  t2.className=='month'){
			paint_months(parseInt(t1.id),parseInt(t2.id));
		}
		//deselect
		if (document.selection){document.selection.empty();}
		if (window.getSelection()){window.getSelection().removeAllRanges();}
	}
	);

	
	

}

function paint_square(id1,id2){
	var nc=24;
	var coord1 = ind_to_coord(id1, nc);
	var coord2 = ind_to_coord(id2, nc);

	if (id1 > id2 ){
		color_array(coord2,coord1 ,"white"); 
	}
	else if  (id1 < id2 )
	{	
		color_array(coord1,coord2,"#666666");
	}
	else if (id1==id2)
	{
		if (!(document.getElementById(id1.toString()).style.background == 'white')){
		color_array(coord1,coord2,"white");
		}
		else
		{
		color_array(coord1,coord2,"#666666");
		}
		
	}
	
}
function paint_columns(col1,col2){
	if (col1 > col2 ){
	color_array([col2,1],[col1,365] ,"white"); 
	}
	else 
	{
	color_array([col1,1],[col2,365],"#666666");
	}
}
function paint_rows(row1,row2){
	if (row1 > row2 ){
	color_array([1,row2],[24,row1] ,"white"); 
	}
	else 
	{
	color_array([1,row1],[24,row2],"#666666");
	}
}
function paint_months(id1,id2){
	var fmonth=[31,59,90,120,151,181,212,243,273,304,334,365];
	var smonth=[1,32,60,91,121,152,182,213,244,274,305,335];
	
	if (id1 > id2 ){
	color_array([1,smonth[id2]],[24,fmonth[id1]] ,"white"); 
	}
	else 
	{
	color_array([1,smonth[id1]],[24,fmonth[id2]],"#666666");
	}
}
function paint_month(id1,paint){
	var fmonth=[31,59,90,120,151,181,212,243,273,304,334,365];
	var smonth=[1,32,60,91,121,152,182,213,244,274,305,335];
	
	if (!paint ){
	color_array([1,smonth[id1]],[24,fmonth[id1]] ,"white"); 
	}
	else if (paint)
	{
	color_array([1,smonth[id1]],[24,fmonth[id1]],"#666666");
	}
}
function color_array(coord1,coord2,color){
		
	var x1=coord1[0];
	var y1=coord1[1];
	var x2=coord2[0];
	var y2=coord2[1];
	
	var id;
	for (var i=x1;i<=x2;i++){
		for (var j=y1;j<=y2;j++){
		id =  coord_to_ind([i,j],24);
		document.getElementById(id.toString()).style.background=color;
		}
	}

}
function coord_to_ind(coord,nc){
	var x = coord[0];
	var y = coord[1];
	var ind=(y-1)*nc+x;
	return ind;
}
function ind_to_coord(ind,nc){
	if ((ind % nc)==0){return [24,ind/nc];}
	var y = Math.floor(ind/nc)+1;
	var x = ind - (y-1)*nc;
	return [x,y];
}



function add_clear_node(div){
	var n1= document.createElement('div');
	n1.style.cssText="clear:both;";
	div.appendChild(n1);
}

//BUTTONS
function b_clear(){
	var bc = document.getElementById('bclear');
	bc.addEventListener('click', function(){
	for (i=1;i<8761;i++)
	{
	document.getElementById(i.toString()).style.background="white";
	}
		
	});
}
function b_select(){
	var bs = document.getElementById('bselect');
	
	bs.addEventListener('click',function(){
		var m00= document.getElementsByName('mlist');
		
	for (i=0; i<12;i++){
				
		if (m00[i].name=="mlist" && m00[i].checked){
				paint_month(parseInt(i),true)
		}
		else
		{
			paint_month(parseInt(i),false)
		}
	
			
	}
	
	});
	
}



























