
var map;
var rectangle; 
var sk_lat;
var sk_lon;


function draw_su_pos(){
p11 = new google.maps.LatLng(sk_lat,sk_lon)
				  var marker11 = new google.maps.Marker({
					map: map,
					title: "SketchUp Origin "+ sk_lat.toString() + sk_lon.toString(),
					position: p11
				  });

var l1coord = [
      new google.maps.LatLng(60.0, -180.0),
      new google.maps.LatLng(60.0, 0.0),
new google.maps.LatLng(60.0, 180.0)	  
  ];
  
  var l1 = new google.maps.Polyline({
    path: l1coord,
    strokeColor: '#FF0000',
    strokeOpacity: 1.0,
    strokeWeight: 2
  });

  l1.setMap(map);
  
  
  
  var l2coord = [
      new google.maps.LatLng(-60.0, -180.0),
      new google.maps.LatLng(-60.0, 0.0),
new google.maps.LatLng(-60.0, 180.0)	  
  ];
  
  var l2 = new google.maps.Polyline({
    path: l2coord,
    strokeColor: '#FF0000',
    strokeOpacity: 1.0,
    strokeWeight: 2
  });

  l2.setMap(map);
  
  return;
}
function initMap() {

var mapOptions = {
    zoom: 12,
    center: new google.maps.LatLng(sk_lat,sk_lon), //sk_lat,sk_lon -33.8688, 151.2195
    mapTypeId: google.maps.MapTypeId.TERRAIN,
	zoomControl: true,
  scaleControl: true
  };

 map = new google.maps.Map(document.getElementById('map-canvas'),
      mapOptions);


	var centerControlDiv = document.createElement('div');
	var controlUI=document.getElementById('arrows_');
	centerControlDiv.appendChild(controlUI);
	centerControlDiv.index = 1;
	map.controls[google.maps.ControlPosition.TOP_CENTER].push(centerControlDiv);
	  
	  
	draw_su_pos();
return;  
}



function fix_longitud(res){
	if (res >  180.0){ res = res-360;}
	if (res < -180.0){ res = 360+res;}
	return res;
}
function rectangle_get_xwidth(){
	var bounds1 =rectangle.getBounds();
	var incr1 = fix_longitud(bounds1.getNorthEast().lng() - bounds1.getSouthWest().lng()  ) ;
	return incr1;
}
function rectangle_get_ywidth(){
	var bounds1 =rectangle.getBounds();
	var incr2 = bounds1.getNorthEast().lat() - bounds1.getSouthWest().lat();
	return incr2;
}


function selectregion(){

	var bounds;
	
	if (rectangle){
		rectangle.setMap();
		bounds=center_rectangle();
		}
	else{
		bounds=create_rectangle();
		
	}

rectangle = new google.maps.Rectangle({
    bounds: bounds,
    editable: true,
	draggable: true,
	fillOpacity: 0.3,
	strokeOpacity: 1,
	strokeWeight:1
	//strokeColor: '#99f91b'
	
});
	
	rectangle.setMap(map);
	

	//deprecated: google.maps.event.addDomListener(rectangle, 'bounds_changed', function(){is_rectangle_big();set_rect_values();});
	google.maps.event.addListener(rectangle, 'bounds_changed', function(){is_rectangle_big();set_rect_values();});
	is_rectangle_big() ;
	
	map.panTo(new google.maps.LatLng(sk_lat,sk_lon));

	return;
}
function create_rectangle(){
	
	var bounds1 = map.getBounds();
	var incr1 = fix_longitud(bounds1.getNorthEast().lng() - bounds1.getSouthWest().lng()  ) ;
	var incr2 = bounds1.getNorthEast().lat() - bounds1.getSouthWest().lat();
	var bounds = new google.maps.LatLngBounds(
	new google.maps.LatLng( bounds1.getSouthWest().lat() + 1.0/6.0 * incr2, fix_longitud(bounds1.getSouthWest().lng() + 1.0/6.0 * incr1)   ),			
	new google.maps.LatLng( bounds1.getNorthEast().lat() - 1.0/6.0 * incr2, fix_longitud(bounds1.getNorthEast().lng() - 1.0/6.0 * incr1)   )	
	);
	return bounds;
}
function center_rectangle(){

	incr_x=rectangle_get_xwidth();
	incr_y=rectangle_get_ywidth();
	l1   = sk_lat - incr_y / 2.0 ;
	long1= fix_longitud(sk_lon  - incr_x / 2.0) ;
	l2   = sk_lat + incr_y / 2.0 ;
	long2= fix_longitud(sk_lon  + incr_x / 2.0) ;


	var bounds = new google.maps.LatLngBounds(
		new google.maps.LatLng(l1,long1),
		new google.maps.LatLng(l2,long2)
	);

	return bounds;
}




/*CHECK BOUNDS RECTANGLE*/
function is_rectangle_big(){ 
	var bounds1 =rectangle.getBounds();
	var incr1 = fix_longitud(bounds1.getNorthEast().lng() - bounds1.getSouthWest().lng()  ) ;
	var incr2 = bounds1.getNorthEast().lat() - bounds1.getSouthWest().lat();

//incr1 incr2 are not equal to 1, but almost, accurate is function of map zoom
//alert('Rectangle max size 1\ยบ x 1\ยบ');bugged if used;

	if ( incr1 > 1.0 ||  incr2 > 1.0) {maxrectangle();}
	minimun = 6.0/3600.0;
	if ( incr1 < minimun || incr2 < minimun) {minrectangle();}
	
	return;
}
function maxrectangle(){ 
	
	
	var latcenter = rectangle.bounds.getCenter().lat();
	var longcenter = rectangle.bounds.getCenter().lng();
	
	var newbounds = new google.maps.LatLngBounds(
		new google.maps.LatLng(	latcenter-0.5, fix_longitud(longcenter-0.5)),			
		new google.maps.LatLng( latcenter+0.5, fix_longitud(longcenter+0.5))					
	  );
	  
	rectangle.setMap();  
	rectangle.bounds=newbounds;
	rectangle.setMap(map);
	return;
}
function minrectangle(){
	minimun = 3.0/3600.0;
	
	var bounds1 =rectangle.getBounds();
	var incr1 = fix_longitud(bounds1.getNorthEast().lng() - bounds1.getSouthWest().lng()  ) ;
	var incr2 = bounds1.getNorthEast().lat() - bounds1.getSouthWest().lat();
	
	latcenter  = bounds1.getSouthWest().lat() + incr2 / 2.0 ;
	longcenter = fix_longitud(bounds1.getSouthWest().lng() + incr1 / 2.0) ;
	
	var newbounds = new google.maps.LatLngBounds(
		new google.maps.LatLng(	latcenter-minimun, fix_longitud(longcenter-minimun)),			
		new google.maps.LatLng( latcenter+minimun, fix_longitud(longcenter+minimun))					
	  );
	rectangle.setMap();  
	rectangle.bounds=newbounds;
	rectangle.setMap(map);
	return;
}




function fgrab(){

//check location
v1 = Math.abs(rectangle.bounds.getCenter().lat() - sk_lat)
v2 = Math.abs(fix_longitud(rectangle.bounds.getCenter().lng() - sk_lon))
if (v1 > 0.4 || v2 >0.4){alert('Center of your rectangle is very far of SketchUp origin. Maybe you need to geolocate SketchUp model first.');}

/*rectangle.getBounds() devuelve class--> google.maps.LatLngBounds*/
var thebounds =rectangle.getBounds();
sketchup.fcalcualte_relief(thebounds.toString());/*((latlong southeast),(lat long northwes))*/
return;
}








/*SET RECTANGLE COORDS USING FLOATING WINDOW*/
function add_rect_coord(){
if (rectangle==null){alert('First you must click the circle to create a rectangle.');return;}
document.getElementById("floating-panel" ).style.visibility = "visible";
set_rect_values();
return;	
}
function set_rect_values(){

ne_= rectangle.getBounds().getNorthEast().toString();
sw_= rectangle.getBounds().getSouthWest().toString();
ne_ = ne_.replace('(','');
ne_ = ne_.replace(')','');
sw_ = sw_.replace('(','');
sw_ = sw_.replace(')','');

	document.getElementById('latlon_ne').value=ne_;
	document.getElementById('latlon_sw').value=sw_;
	
	x = rectangle_get_xwidth();
	y = rectangle_get_ywidth();
	
	document.getElementById('width').value = y.toString() +", " + x.toString();
	return;
}
function user_modify_rectangle(){
	sw_ = document.getElementById('latlon_sw').value;
	ne_ = document.getElementById('latlon_ne').value;
		
	sw_ = sw_.split(',');
	lat1=parseFloat(sw_[0]);
	lon1=parseFloat(sw_[1]);
	
	ne_ = ne_.split(',');
	lat2=parseFloat(ne_[0]);
	lon2=parseFloat(ne_[1]);
	
if ( lat2-lat1 < 0 || fix_longitud(lon2-lon1) < 0   ) {
alert('Northeast corner must be bigger than Soutwest corner.'); set_rect_values(); return;
} 
	
	var newbounds = new google.maps.LatLngBounds(
		new google.maps.LatLng(	lat1, lon1  ),			
		new google.maps.LatLng( lat2, lon2 )					
	  );
	rectangle.setMap();  
	rectangle.bounds=newbounds;
	rectangle.setMap(map);
	
	is_rectangle_big();//case user set a rectable bigger than one grade
	
	map.panTo(rectangle.bounds.getCenter());
	
	return;
}

 